import { BindingContext, Binding } from '../interfaces/IBinding';
import { Replaceable } from '../interfaces/IContainer';
export declare class MercuryBinding<T> implements BindingContext<T> {
    binding: Binding<T>;
    constructor(binding: Binding<T>);
    to<T>(constructor: Replaceable<T>): this;
    toConstantValue<T>(value: T): this;
}
