import { Binding } from '../interfaces/IBinding';
export interface BindingDictionary<T> {
    add(identifier: string, binding: Binding<T>): any;
    get(identifier: string): Binding<T>;
    remove(identifier: string): boolean;
}
export declare class BDictionary<T> implements BindingDictionary<T> {
    private dictionary;
    constructor();
    add(identifier: string, binding: Binding<T>): void;
    get(identifier: string): Binding<T>;
    remove(identifier: string): boolean;
}
