import { Replaceable } from './IContainer';
import { TypeBinding } from '../Binding/BindingEnum';
export interface BindingContext<T> {
    binding: Binding<T>;
    to<T>(constructor: Replaceable<T>): any;
    toConstantValue<T>(value: T): any;
}
export interface Binding<T> {
    bindingId: number;
    implementationMain: Replaceable<any>;
    type: TypeBinding;
    implementationConstantValue: any;
}
