import { BindingContext } from './IBinding';
export interface Container {
    bind<T>(identifier: string): BindingContext<T>;
    get<T>(identifier: string): T;
    unbind(identifier: string): void;
}
export declare type Replaceable<T> = new (...args: any[]) => T;
