"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const BindingEnum_1 = require("./BindingEnum");
class MercuryBinding {
    constructor(binding) {
        this.binding = binding;
    }
    to(constructor) {
        this.binding.type = BindingEnum_1.TypeBinding.Instance;
        this.binding.implementationMain = constructor;
        return this;
    }
    toConstantValue(value) {
        this.binding.type = BindingEnum_1.TypeBinding.ConstantValue;
        this.binding.implementationConstantValue = value;
        return this;
    }
}
exports.MercuryBinding = MercuryBinding;
//# sourceMappingURL=BindingContext.js.map