"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handlerInstance = new (class {
    resolve(target) {
        const instances = Reflect.getMetadata('design:paramtypes', target) || [];
        console.log('[X] count dependencies: ', instances.length);
        const instancesInjections = instances.map(instance => exports.handlerInstance.resolve(instance));
        return new target(...instancesInjections);
    }
})();
exports.InjectDependecy = (name) => {
    return (target) => {
        console.log(`[X] params: ${name}`, Reflect.getMetadata('design:paramtypes', target));
    };
};
//# sourceMappingURL=handler.instance.js.map